export default class IKGlobals {}
IKGlobals.DBDrivers = {
  DynamoDB: 'DDB',
  PSQL: 'PSQL'
};
IKGlobals.CacheDrivers = {
  REDIS: 'REDIS'
};
//DDB Client 
IKGlobals.DDBHttpTimeout = 15000;
IKGlobals.DDBMaxAttempts = 3;
//Error messages
IKGlobals.ErrorResponseValidationFail = 'Input validation failed: '; //400
IKGlobals.ErrorResponseInvalidServerResponse = 'No valid response, this is a system error.'; //400
IKGlobals.ErrorResponseUnhandledError = 'Unhandled error when processing request.'; //400
IKGlobals.ErrorResponseNoRecords = 'No events to be processed.'; //400
//Development Configs
IKGlobals.DynamoDBLocalConfig = {region: "localhost", endpoint: "http://localhost:8000", accessKeyId: 'DEFAULT_ACCESS_KEY', secretAccessKey: 'DEFAULT_SECRET'};

//Error Codes
IKGlobals.ErrorCode_MissingParam = 'MISSING_PARAM';
IKGlobals.ErrorCode_InvalidInput = 'INVALID_INPUT';
IKGlobals.ErrorCode_APIError = 'API_ERROR';
IKGlobals.ErrorCode_NoRecords = 'EMPTY_EVENT';
